Bug 1023311 - Failed to extract deployment artifact for existing app via rhc snapshot after migration
Failed to extract deployment artifact for existing app via rhc snapshot aft...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 03:48 EDT by Wei Sun
Modified: 2015-05-14 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-25 03:48:44 EDT
Description of problem:
Try to extract deployment artifact for existing app via rhc snapshot after migration,but it failed.It shows:


Version-Release number of selected component (if applicable):
INT (devenv_3942)

How reproducible:
Always

Steps to Reproduce:
1.Create an app  before server upgrade
2. INT upgrade
3.Try to extract deployment artifact for existing app via rhc snapshot
4.Try to extract deployment artifact via ssh

Actual results:
3.[wsun@dhcp-8-229 test]$ rhc snapshot save r8psq --deployment
Pulling down a snapshot to r8psq.tar.gz...
error: can't convert nil into String. Use --trace to view backtrace
Error in trying to save snapshot. You can try to save manually by running:
ssh 5260d2f103ef64dbb5000080@r8psq-wsunmigrateint.int.rhcloud.com 'gear archive-deployment' > r8psq.tar.gz

4.[wsun@dhcp-8-229 test]$ ssh 5260d2f103ef64dbb5000080@r8psq-wsunmigrateint.int.rhcloud.com 'gear archive-deployment' > r8psq.tar.gz
Warning: Permanently added 'r8psq-wsunmigrateint.int.rhcloud.com,54.205.207.58' (RSA) to the list of known hosts.
error: can't convert nil into String. Use --trace to view backtrace

Expected results:
Could extract deployment artifact for existing app

Additional info:
Comment 1 Paul Morie 2013-10-28 17:25:24 EDT
Please re-test this scenario; we have changed both the upgrade functionality and there is a PR for snapshot/restore pending.
Comment 2 Wei Sun 2013-10-28 23:41:19 EDT
Verified in INT(devenv_3957)

Result:
[wsun@dhcp-8-229 test]$ rhc snapshot save py6 --deployment -l wsun+2@redhat.com 
Pulling down a snapshot to py6.tar.gz...

RESULT:
Success

Note You need to log in before you can comment on or make changes to this bug.